SystemOrganization addCategory: #ConfigurationOfAida!

Object subclass: #ConfigurationOfAida
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAida'!

!ConfigurationOfAida class methodsFor: 'private' stamp: 'DaleHenrichs 1/26/2010 18:33'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfAida class methodsFor: 'private' stamp: 'DaleHenrichs 1/26/2010 18:33'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfAida class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/26/2010 18:33'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAida class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/26/2010 18:33'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfAida class methodsFor: 'loading' stamp: 'DaleHenrichs 1/26/2010 18:33'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfAida class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/26/2010 18:33'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfAida class methodsFor: 'accessing' stamp: 'DaleHenrichs 1/26/2010 18:33'!
project

	^self new project! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'DaleHenrichs 1/26/2010 18:41'!
baseline600: spec 
	<version: '6.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Aida'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec 
			package: 'Aida6'. ].! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'jm 9/8/2010 21:34'!
baseline610: spec 
	<version: '6.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Aida'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec 
			package: 'Aida61'. ].! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'jm 12/15/2010 00:00'!
baseline620: spec 
	<version: '6.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Aida'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec 
			package: 'Aida62'. ].! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'janko 1/1/2012 22:39'!
baseline630: spec 
	<version: '6.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://mc.aidaweb.si/Aida'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://mc.aidaweb.si/Sport' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://mc.aidaweb.si/Swazoo' ];
			package: 'OSProcess' with: [
				spec
					repository: 'http://mc.aidaweb.si/OSProcess'];
			yourself.
		spec 
			package: 'Aida63' with: [
				spec
					requires: #('Sport2' 'Swazoo2' 'OSProcess');
					repository: 'http://mc.aidaweb.si/Aida'];
			yourself].! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'janko 1/2/2012 16:15'!
baseline640: spec 
	<version: '6.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://mc.aidaweb.si/Aida'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://mc.aidaweb.si/Sport' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://mc.aidaweb.si/Swazoo' ];
			package: 'OSProcess' with: [
				spec
					repository: 'http://mc.aidaweb.si/OSProcess'];
			yourself.
		spec 
			package: 'Aida64' with: [
				spec
					requires: #('Sport2' 'Swazoo2' 'OSProcess');
					repository: 'http://mc.aidaweb.si/Aida'];
			yourself].! !

!ConfigurationOfAida methodsFor: 'baselines' stamp: 'janko 1/16/2013 16:10'!
baseline650: spec 
	<version: '6.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/Aida/Aida/main/'.	
		spec
			project: 'Sport2' with: [
				spec
					className: 'ConfigurationOfSPort2';
					versionString: '2.31-baseline';
					file: 'ConfigurationOfSPort2';
					repository: 'http://smalltalkhub.com/mc/Sport/Sport/main/' ];
			project: 'Swazoo2' with: [
				spec
					className: 'ConfigurationOfSwazoo2';
					versionString: '2.2-baseline';
					file: 'ConfigurationOfSwazoo2';
					repository: 'http://smalltalkhub.com/mc/Swazoo/Swazoo/main/' ];
			package: 'OSProcess' with: [
				spec
					repository: 'http://www.squeaksource.com/OSProcess'];
			yourself.
		spec 
			package: 'Aida65' with: [
				spec
					requires: #('Sport2' 'Swazoo2' 'OSProcess');
					repository: 'http://smalltalkhub.com/mc/Aida/Aida/main/'];
			yourself].! !

!ConfigurationOfAida methodsFor: 'symbolic versions' stamp: 'janko 2/27/2013 10:00'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfAida methodsFor: 'accessing' stamp: 'DaleHenrichs 1/26/2010 18:33'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAida methodsFor: 'symbolic versions' stamp: 'janko 2/27/2013 09:59'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '6.5'.
! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 7/10/2011 21:25'!
version60: spec
	<version: '6.0' imports: #('6.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DaleHenrichs'.
		spec description: 'Aida6.0 initial configuration'.
		spec timestamp: '1/26/2010 18:42'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.2.0.2'.
		spec package: 'Aida6' with: 'Aida6.0-final.1002'.].! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 7/10/2011 21:25'!
version61: spec
	<version: '6.1' imports: #('6.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JankoMivsek'.
		spec description: 'Aida6.1 initial configuration'.
		spec timestamp: '9/08/2010 18:42'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.2.0.2'.
		spec package: 'Aida61' with: 'Aida6.1-final.2'.].! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 7/10/2011 21:25'!
version62: spec
	<version: '6.2' imports: #('6.2-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JankoMivsek'.
		spec description: 'Aida6.2 initial configuration'.
		spec timestamp: '12/15/2010 00:01'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.3.0.0'.
		spec package: 'Aida62' with: 'Aida6.2-final.1'.].! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 12/19/2011 11:01'!
version63: spec
	<version: '6.3' imports: #('6.3-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JankoMivsek'.
		spec description: 'Aida6.3 web framework'.
		spec timestamp: '2011-8-19 23:00'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.3.0.0';
			package: 'OSProcess' with: 'OSProcess'.
		spec package: 'Aida63' with: 'Aida6']. "latest version"! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 1/2/2012 16:15'!
version64: spec
	<version: '6.4' imports: #('6.4-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JankoMivsek'.
		spec description: 'Aida6.4 web framework'.
		spec timestamp: '2012-1-1'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.3.0.0';
			package: 'OSProcess' with: 'OSProcess'.
		spec package: 'Aida64' with: 'Aida6']. "latest version"! !

!ConfigurationOfAida methodsFor: 'versions' stamp: 'janko 1/16/2013 16:05'!
version65: spec
	<version: '6.5' imports: #('6.5-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'JankoMivsek'.
		spec description: 'Aida6.5 web framework, on SmalltalkHub'.
		spec timestamp: '16.1.2013'.].
	spec for: #squeakCommon do: [
		spec 
			project: 'Sport2' with: '2.31';
			project: 'Swazoo2' with: '2.3.0.0';
			package: 'OSProcess' with: 'OSProcess'.
		spec package: 'Aida65' with: 'Aida6']. "latest version"! !
